Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 468)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 469)
@@ -1107,12 +725,12 @@
 			sepNavSelRange = "{301, 3}";
 			sepNavVisRange = "{0, 586}";
-			sepNavWindowFrame = "{{168, 203}, {901, 889}}";
+			sepNavWindowFrame = "{{936, 289}, {901, 889}}";
 		};
 	};
 	E101A6FE0D6D594700AB607D /* ICeCoffEETTView.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {842, 1529}}";
-			sepNavSelRange = "{1670, 79}";
-			sepNavVisRange = "{84, 2547}";
+			sepNavIntBoundsRect = "{{0, 0}, {842, 1409}}";
+			sepNavSelRange = "{1777, 0}";
+			sepNavVisRange = "{329, 2661}";
 			sepNavWindowFrame = "{{936, 289}, {901, 889}}";
 		};
@@ -1193,4 +811,19 @@
 		sourceTree = "<absolute>";
 	};
+	E10B37AE0DAD998700D42E44 /* ICeCoffEESharing.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {827, 894}}";
+			sepNavSelRange = "{255, 0}";
+			sepNavVisRange = "{0, 307}";
+		};
+	};
+	E10B37AF0DAD998700D42E44 /* ICeCoffEESharing.c */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {827, 917}}";
+			sepNavSelRange = "{837, 0}";
+			sepNavVisRange = "{0, 1112}";
+			sepNavWindowFrame = "{{143, 225}, {886, 953}}";
+		};
+	};
 	E11DBCBB0D78F34D0003517F /* ICeCoffEEInvertingTextFieldCell.m */ = {
 		uiCtxt = {
@@ -1241,67 +874,52 @@
 		indexTemplatePath = "";
 	};
-	E12D615F0D7FDA9500AB78C2 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-	};
-	E12D61650D7FDAEA00AB78C2 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
-		name = "APEMain.m: 163";
-		rLen = 11;
-		rLoc = 7212;
-		rType = 0;
-		vrLen = 3717;
-		vrLoc = 4841;
-	};
-	E12D61660D7FDAEA00AB78C2 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
-		name = "APEMain.m: 135";
-		rLen = 0;
-		rLoc = 5254;
-		rType = 0;
-		vrLen = 3507;
-		vrLoc = 4409;
-	};
-	E12D61690D7FDAEA00AB78C2 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-		name = "ICeCoffEE.m: 440";
-		rLen = 13;
-		rLoc = 17645;
-		rType = 0;
-		vrLen = 1896;
-		vrLoc = 16300;
-	};
-	E12D616A0D7FDAEA00AB78C2 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
-		name = "ICeCoffEEWebKit.m: 27";
-		rLen = 0;
-		rLoc = 798;
-		rType = 0;
-		vrLen = 3206;
-		vrLoc = 0;
-	};
-	E12D616B0D7FDAEA00AB78C2 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E101A6FE0D6D594700AB607D /* ICeCoffEETTView.m */;
-		name = "ICeCoffEETTView.m: 42";
-		rLen = 0;
-		rLoc = 1353;
-		rType = 0;
-		vrLen = 2598;
-		vrLoc = 1801;
-	};
-	E12D616C0D7FDAEA00AB78C2 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
-		name = "ICeCoffEEServicePrefController.m: 357";
-		rLen = 20;
-		rLoc = 13204;
-		rType = 0;
-		vrLen = 3660;
-		vrLoc = 11754;
+	E12F242A0D9A0FC7008A3616 /* WebKit */ = {
+		isa = PBXExecutable;
+		activeArgIndices = (
+		);
+		argumentStrings = (
+		);
+		autoAttachOnCrash = 1;
+		breakpointsEnabled = 0;
+		configStateDict = {
+			"PBXLSLaunchAction-0" = {
+				PBXLSLaunchAction = 0;
+				PBXLSLaunchStartAction = 1;
+				PBXLSLaunchStdioStyle = 2;
+				PBXLSLaunchStyle = 0;
+				class = PBXLSRunLaunchConfig;
+				commandLineArgs = (
+				);
+				displayName = "Executable Runner";
+				environment = {
+				};
+				identifier = com.apple.Xcode.launch.runConfig;
+				remoteHostInfo = "";
+				startActionInfo = "";
+			};
+		};
+		customDataFormattersEnabled = 1;
+		debuggerPlugin = GDBDebugging;
+		disassemblyDisplayState = 0;
+		dylibVariantSuffix = "";
+		enableDebugStr = 1;
+		environmentEntries = (
+		);
+		executableSystemSymbolLevel = 0;
+		executableUserSymbolLevel = 0;
+		launchableReference = E12F242B0D9A0FC7008A3616 /* WebKit.app */;
+		libgmallocEnabled = 0;
+		name = WebKit;
+		savedGlobals = {
+		};
+		sourceDirectories = (
+		);
+	};
+	E12F242B0D9A0FC7008A3616 /* WebKit.app */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = wrapper.application;
+		name = WebKit.app;
+		path = /Users/nicholas/Applications/WebKit.app;
+		sourceTree = "<absolute>";
 	};
 	E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */ = {
@@ -1412,5 +1030,5 @@
 		hitCount = 0;
 		ignoreCount = 0;
-		modificationTime = 226495512.073869;
+		modificationTime = 229557168.753867;
 		state = 2;
 		symbolName = _NSAutoreleaseNoPool;
@@ -1447,8 +1065,8 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {666, 649}}";
-			sepNavSelRange = "{283, 0}";
-			sepNavVisRange = "{3, 1835}";
+			sepNavSelRange = "{363, 0}";
+			sepNavVisRange = "{25, 1841}";
 			sepNavVisRect = "{{0, 0}, {686, 621}}";
-			sepNavWindowFrame = "{{882, 66}, {725, 659}}";
+			sepNavWindowFrame = "{{269, 65}, {725, 659}}";
 		};
 	};
@@ -1526,9 +1144,9 @@
 	E13762D203EC636D00050002 /* ICeCoffEEBookmarks.c */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {787, 2420}}";
-			sepNavSelRange = "{3518, 3}";
-			sepNavVisRange = "{3061, 1092}";
+			sepNavIntBoundsRect = "{{0, 0}, {903, 2429}}";
+			sepNavSelRange = "{7552, 0}";
+			sepNavVisRange = "{4840, 3661}";
 			sepNavVisRect = "{{0, 1553}, {813, 376}}";
-			sepNavWindowFrame = "{{15, 205}, {962, 968}}";
+			sepNavWindowFrame = "{{922, 30}, {962, 968}}";
 		};
 	};
@@ -1583,6 +1201,6 @@
 	E14343B303DB4CF200050002 /* ICeCoffEE.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {754, 687}}";
-			sepNavSelRange = "{1495, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {754, 710}}";
+			sepNavSelRange = "{293, 15}";
 			sepNavVisRange = "{0, 2038}";
 			sepNavVisRect = "{{0, 0}, {813, 376}}";
@@ -1592,9 +1210,9 @@
 	E14343B403DB4CF200050002 /* ICeCoffEE.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {754, 5390}}";
-			sepNavSelRange = "{8929, 73}";
-			sepNavVisRange = "{7953, 2595}";
+			sepNavIntBoundsRect = "{{0, 0}, {754, 4898}}";
+			sepNavSelRange = "{4455, 0}";
+			sepNavVisRange = "{4027, 2298}";
 			sepNavVisRect = "{{0, 2112}, {774, 708}}";
-			sepNavWindowFrame = "{{233, 206}, {813, 746}}";
+			sepNavWindowFrame = "{{848, 311}, {813, 746}}";
 		};
 	};
@@ -1622,83 +1240,23 @@
 		name = "ICeCoffEEController.m: textBlinkCount:";
 		rLen = 52;
-		rLoc = 4210;
+		rLoc = 4318;
 		rType = 0;
 		vrLen = 1360;
 		vrLoc = 2804;
 	};
-	E14D2DA10D7FD9DB00994500 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1BF166D03DBE27000050002 /* ICeCoffEEWebKit.h */;
-		name = "ICeCoffEEWebKit.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 256;
-		vrLoc = 0;
-	};
-	E14D2DA30D7FD9DB00994500 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
-		name = "ICeCoffEEWebKit.m: 90";
-		rLen = 0;
-		rLoc = 2050;
-		rType = 0;
-		vrLen = 3115;
-		vrLoc = 3;
-	};
-	E14D2DA40D7FD9DB00994500 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1BF166D03DBE27000050002 /* ICeCoffEEWebKit.h */;
-		name = "ICeCoffEEWebKit.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 256;
-		vrLoc = 0;
-	};
-	E14D2DB80D7FDA4900994500 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
-		name = "ICeCoffEEWebKit.m: 14";
-		rLen = 0;
-		rLoc = 436;
-		rType = 0;
-		vrLen = 3133;
-		vrLoc = 0;
-	};
-	E14D2DBA0D7FDA4900994500 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E101A6FE0D6D594700AB607D /* ICeCoffEETTView.m */;
-		name = "ICeCoffEETTView.m: 42";
-		rLen = 0;
-		rLoc = 1353;
-		rType = 0;
-		vrLen = 2514;
-		vrLoc = 1885;
-	};
-	E14D2DBB0D7FDA4900994500 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
-		name = "ICeCoffEEServicePrefController.m: 357";
-		rLen = 20;
-		rLoc = 13204;
-		rType = 0;
-		vrLen = 3555;
-		vrLoc = 11756;
-	};
 	E14E2AB30C2B774800AC18D0 /* ICeCoffEEParser.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {1070, 1073}}";
+			sepNavIntBoundsRect = "{{0, 0}, {1070, 1047}}";
 			sepNavSelRange = "{161, 0}";
 			sepNavVisRange = "{0, 742}";
 			sepNavVisRect = "{{0, 0}, {733, 778}}";
-			sepNavWindowFrame = "{{53, 28}, {1129, 1150}}";
+			sepNavWindowFrame = "{{53, 72}, {1129, 1106}}";
 		};
 	};
 	E14E2AB40C2B774800AC18D0 /* ICeCoffEEParser.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {1070, 2805}}";
-			sepNavSelRange = "{2469, 55}";
-			sepNavVisRange = "{636, 3881}";
+			sepNavIntBoundsRect = "{{0, 0}, {1070, 2750}}";
+			sepNavSelRange = "{5292, 61}";
+			sepNavVisRange = "{3211, 4409}";
 			sepNavVisRect = "{{0, 110}, {733, 778}}";
 			sepNavWindowFrame = "{{491, 69}, {1129, 1109}}";
@@ -1777,10 +1335,136 @@
 		countType = 0;
 		delayBeforeContinue = 0;
-		hitCount = 0;
+		hitCount = 1;
 		ignoreCount = 0;
 		location = libobjc.A.dylib;
-		modificationTime = 226495512.073897;
+		modificationTime = 229557178.9843799;
 		state = 1;
 		symbolName = objc_exception_throw;
+	};
+	E15D2B840DB8FA17006486EE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E165AB3503E7A7FC00050002 /* ICeCoffEEAction.h */;
+		name = "ICeCoffEEAction.h: 22";
+		rLen = 13;
+		rLoc = 481;
+		rType = 0;
+		vrLen = 536;
+		vrLoc = 0;
+	};
+	E15D2B850DB8FA17006486EE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101A6FE0D6D594700AB607D /* ICeCoffEETTView.m */;
+		name = "ICeCoffEETTView.m: 51";
+		rLen = 0;
+		rLoc = 1777;
+		rType = 0;
+		vrLen = 2661;
+		vrLoc = 329;
+	};
+	E15D2B860DB8FA17006486EE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "ICeCoffEE.m: 125";
+		rLen = 0;
+		rLoc = 4455;
+		rType = 0;
+		vrLen = 2298;
+		vrLoc = 4027;
+	};
+	E15D2B870DB8FA17006486EE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: 119";
+		rLen = 0;
+		rLoc = 3655;
+		rType = 0;
+		vrLen = 2882;
+		vrLoc = 897;
+	};
+	E15D2B900DB8FA23006486EE /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+	};
+	E15D2B930DB8FA2E006486EE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 68";
+		rLen = 0;
+		rLoc = 2319;
+		rType = 0;
+		vrLen = 2627;
+		vrLoc = 0;
+	};
+	E15D2B980DB8FB32006486EE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 34";
+		rLen = 0;
+		rLoc = 1001;
+		rType = 0;
+		vrLen = 2533;
+		vrLoc = 0;
+	};
+	E15D2B990DB8FB32006486EE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 137";
+		rLen = 0;
+		rLoc = 5295;
+		rType = 0;
+		vrLen = 3303;
+		vrLoc = 2974;
+	};
+	E15D2B9E0DB8FE53006486EE /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+	};
+	E15D2BA30DB8FE63006486EE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 137";
+		rLen = 0;
+		rLoc = 5295;
+		rType = 0;
+		vrLen = 3613;
+		vrLoc = 3090;
+	};
+	E15D2BA60DB903BD006486EE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 123";
+		rLen = 0;
+		rLoc = 4437;
+		rType = 0;
+		vrLen = 3613;
+		vrLoc = 3090;
+	};
+	E15D2BA70DB903BD006486EE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 137";
+		rLen = 0;
+		rLoc = 5295;
+		rType = 0;
+		vrLen = 3652;
+		vrLoc = 3090;
+	};
+	E15D2BA80DB904DF006486EE /* ICeCoffEEWebPDFView.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {725, 894}}";
+			sepNavSelRange = "{7, 21}";
+			sepNavVisRange = "{0, 256}";
+			sepNavWindowFrame = "{{222, 31}, {784, 953}}";
+		};
+	};
+	E15D2BAF0DB90519006486EE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 132";
+		rLen = 0;
+		rLoc = 5014;
+		rType = 0;
+		vrLen = 3434;
+		vrLoc = 2845;
 	};
 	E15E6A7404188D6900050002 /* システム環境設定 */ = {
@@ -1820,16 +1504,19 @@
 	E165AB3503E7A7FC00050002 /* ICeCoffEEAction.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {584, 554}}";
-			sepNavSelRange = "{0, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {725, 917}}";
+			sepNavSelRange = "{535, 1}";
+			sepNavVisRange = "{0, 536}";
 			sepNavVisRect = "{{0, 0}, {584, 554}}";
+			sepNavWindowFrame = "{{38, 199}, {784, 953}}";
 		};
 	};
 	E165AB3603E7A7FC00050002 /* ICeCoffEEAction.c */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {691, 3498}}";
-			sepNavSelRange = "{0, 0}";
-			sepNavVisRange = "{0, 1550}";
+			sepNavFolds = "{\n    c =     (\n                {\n            r = \"{433, 509}\";\n            s = 0;\n        },\n                {\n            r = \"{1526, 2749}\";\n            s = 0;\n        },\n                {\n            r = \"{4384, 829}\";\n            s = 0;\n        },\n                {\n            r = \"{5316, 263}\";\n            s = 0;\n        },\n                {\n            r = \"{5691, 451}\";\n            s = 0;\n        },\n                {\n            r = \"{6348, 5142}\";\n            s = 0;\n        },\n                {\n            r = \"{11584, 340}\";\n            s = 0;\n        },\n                {\n            r = \"{12069, 827}\";\n            s = 0;\n        }\n    );\n    r = \"{0, 12898}\";\n    s = 0;\n}";
+			sepNavIntBoundsRect = "{{0, 0}, {827, 917}}";
+			sepNavSelRange = "{1273, 0}";
+			sepNavVisRange = "{0, 1796}";
 			sepNavVisRect = "{{0, 1064}, {711, 464}}";
-			sepNavWindowFrame = "{{779, 160}, {750, 502}}";
+			sepNavWindowFrame = "{{289, 61}, {886, 953}}";
 		};
 	};
@@ -1839,5 +1526,5 @@
 		name = "ICeCoffEEAppMenu.c: 44";
 		rLen = 0;
-		rLoc = 8820;
+		rLoc = 8854;
 		rType = 0;
 		vrLen = 1734;
@@ -1851,5 +1538,5 @@
 		);
 		autoAttachOnCrash = 1;
-		breakpointsEnabled = 0;
+		breakpointsEnabled = 1;
 		configStateDict = {
 		};
@@ -1913,9 +1600,9 @@
 	E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {691, 825}}";
-			sepNavSelRange = "{323, 16}";
-			sepNavVisRange = "{0, 993}";
+			sepNavIntBoundsRect = "{{0, 0}, {691, 737}}";
+			sepNavSelRange = "{1564, 0}";
+			sepNavVisRange = "{0, 1051}";
 			sepNavVisRect = "{{0, 0}, {711, 464}}";
-			sepNavWindowFrame = "{{732, 376}, {750, 502}}";
+			sepNavWindowFrame = "{{1066, 205}, {750, 502}}";
 		};
 	};
@@ -1925,12 +1612,12 @@
 			sepNavSelRange = "{176, 0}";
 			sepNavVisRange = "{0, 287}";
-			sepNavWindowFrame = "{{176, 319}, {849, 707}}";
+			sepNavWindowFrame = "{{170, 51}, {849, 707}}";
 		};
 	};
 	E16F04360D7A860900EC7A9E /* ICeCoffEEMenuOutlineView.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {787, 891}}";
-			sepNavSelRange = "{1371, 0}";
-			sepNavVisRange = "{964, 856}";
+			sepNavIntBoundsRect = "{{0, 0}, {787, 880}}";
+			sepNavSelRange = "{1367, 0}";
+			sepNavVisRange = "{1061, 695}";
 			sepNavWindowFrame = "{{170, 51}, {849, 707}}";
 		};
@@ -1947,5 +1634,5 @@
 		ignoreCount = 0;
 		location = APEManagerPrefPane;
-		modificationTime = 226495512.422366;
+		modificationTime = 229557169.008491;
 		state = 0;
 		symbolName = "-[ICeCoffEEMenuOutlineView becomeFirstResponder]";
@@ -1953,6 +1640,6 @@
 	E170DFDD0835D6F400B484AC /* ICeCoffEETrigger.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {808, 980}}";
-			sepNavSelRange = "{499, 1}";
+			sepNavIntBoundsRect = "{{0, 0}, {733, 472}}";
+			sepNavSelRange = "{254, 0}";
 			sepNavVisRange = "{0, 573}";
 			sepNavVisRect = "{{0, 0}, {748, 585}}";
